RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1467369 - USBGuard on IBM s390x
Summary: USBGuard on IBM s390x
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: usbguard
Version: 7.4
Hardware: s390x
OS: Linux
high
medium
Target Milestone: rc
: 7.5
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1395615
Blocks: 1399177 1420851
TreeView+ depends on / blocked
 
Reported: 2017-07-03 14:42 UTC by Mirek Jahoda
Modified: 2020-09-10 10:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
*USBGuard* is now available for IBM Power as a Technology Preview The _usbguard_ packages, which provide system protection against intrusive USB devices, are now available. With this update, the *USBGuard* software framework for the IBM Power architectures is provided as a Technology Preview. Full support is targeted for a later release of Red Hat Enterprise Linux. Note that USB is not supported on IBM z Systems, and the *USBGuard* framework cannot be provided on those systems.
Clone Of: 1395615
Environment:
Last Closed: 2017-11-27 16:14:12 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 156334 0 None None None 2019-02-04 12:16:11 UTC

Comment 1 Mirek Jahoda 2017-07-03 14:45:15 UTC
    Hello,

Could you provide me please exact wording for the RHEL 7.4 Release Notes description of the USBGuard on IBM systems? (Known Issue/Technology Preview, which systems are fully/partially supported and so on). Thank you.

Comment 4 Mark Thacker 2017-07-03 15:54:53 UTC
I believe we should declare Tech Preview for USB Guard on IBM Power systems. For system 390, we should make an explicit note that those platforms do not support a USB sub-system.

I'm going to suggest the following wording that should appear in the Technology Preview section of the RHEL 7.4 Release Notes:

USBGuard Technology Preview for IBM Power Platforms

USBGuard packages are provided as a Technology Preview for IBM Power LE and BE systems in this release. Full support is targeted for a later release of Red Hat Enterprise Linux.

NOTE : IBM s390x systems do not support a USB subsystem and as such, the USBGuard feature is not supported, nor provided, for those systems.


Note You need to log in before you can comment on or make changes to this bug.